KTUTILTEST(1)

NAME
ktutiltest - command line interface to test the utility functions

DESCRIPTION

The command `ktutiltest' is a utility for facility test and performance test of the utility functions. This command is used in the following format. `url' specifies the target URL. `rnum' specifies the number of iterations. `proc' specifies the name of the procedure to call. `name' and `value' specify a pair of the key and the value of an input parameter. `path' specifies the path of a repository.

    ktutiltest http [-th num] [-get|-head|-post|-put|-delete] [-body file] [-ah name value] [-qs name value] [-tout num] [-ka] url rnum
        Performs test of HTTP sessions.
    ktutiltest rpc [-th num] [-host str] [-port num] [-tout num] proc rnum [name value ...]
        Performs test of RPC sessions.
    ktutiltest ulog [-th num] [-ulim num] path rnum [name value ...]
        Performs test of update logging.

Options feature the following.

    -th num : specifies the number of worker threads.
    -get : uses the GET method.
    -head : uses the HEAD method.
    -post : uses the POST method.
    -put : uses the PUT method.
    -delete : uses the DELETE method.
    -body file : sends the entity body of the content the file.
    -ah name value : adds an HTTP header.
    -qs name value : adds a key/value pair to the query string.
    -tout num : specifies the timeout in seconds.
    -ka : use keep-alive connection.
    -host str : specifies the host name of the server.
    -port num : specifies the port number of the server.
    -ulim num : specifies the limit size of each update log file.

This command returns 0 on success, another on failure.

SEE ALSO

ktutilmgr(1), ktutilserv(1)